Skip to content

Instantly share code, notes, and snippets.

@Carreau

Carreau/session

Created Dec 3, 2018
Embed
What would you like to do?
(None) ~/dev/hippylib[remotes/origin/Packaging-dev-WIP ✗] $ conda create -n fenicsproject -c conda-forge fenics==2017.2.0 \
> mpi4py scipy sympy==1.1.1 jupyter
Solving environment: done
## Package Plan ##
environment location: /Users/mbussonnier/miniconda3/envs/fenicsproject
added / updated specs:
- fenics==2017.2.0
- jupyter
- mpi4py
- scipy
- sympy==1.1.1
The following NEW packages will be INSTALLED:
appnope: 0.1.0-py36_1000 conda-forge
attrs: 18.2.0-py_0 conda-forge
backcall: 0.1.0-py_0 conda-forge
blas: 1.1-openblas conda-forge
bleach: 3.0.2-py_0 conda-forge
boost: 1.66.0-py36_1 conda-forge
boost-cpp: 1.66.0-1 conda-forge
bzip2: 1.0.6-1 conda-forge
ca-certificates: 2018.11.29-ha4d7672_0 conda-forge
certifi: 2018.11.29-py36_1000 conda-forge
cmake: 3.12.4-h011004d_0 conda-forge
curl: 7.62.0-h74213dd_0 conda-forge
decorator: 4.3.0-py_0 conda-forge
eigen: 3.3.5-h2d50403_1 conda-forge
entrypoints: 0.2.3-py36_1002 conda-forge
expat: 2.2.5-hfc679d8_2 conda-forge
fastcache: 1.0.2-py36h470a237_1 conda-forge
fenics: 2017.2.0-np113py36_3 conda-forge
gmp: 6.1.2-hfc679d8_0 conda-forge
gmpy2: 2.0.8-py36hb705a9b_2 conda-forge
hdf5: 1.10.1-2 conda-forge
hypre: 2.11.2-1 conda-forge
icu: 58.2-hfc679d8_0 conda-forge
ipykernel: 5.1.0-py36h24bf2e0_1001 conda-forge
ipython: 7.2.0-py36h24bf2e0_1000 conda-forge
ipython_genutils: 0.2.0-py_1 conda-forge
ipywidgets: 7.4.2-py_0 conda-forge
jedi: 0.13.1-py36_1000 conda-forge
jinja2: 2.10-py_1 conda-forge
jpeg: 9c-h470a237_1 conda-forge
jsonschema: 3.0.0a3-py36_1000 conda-forge
jupyter: 1.0.0-py_1 conda-forge
jupyter_client: 5.2.3-py_1 conda-forge
jupyter_console: 6.0.0-py_0 conda-forge
jupyter_core: 4.4.0-py_0 conda-forge
krb5: 1.16.2-hbb41f41_0 conda-forge
libcurl: 7.62.0-hbdb9355_0 conda-forge
libedit: 3.1.20170329-haf1bffa_1 conda-forge
libffi: 3.2.1-hfc679d8_5 conda-forge
libgfortran: 3.0.0-1 conda-forge
libiconv: 1.15-h470a237_3 conda-forge
libpng: 1.6.36-ha92aebf_0 conda-forge
libsodium: 1.0.16-h470a237_1 conda-forge
libssh2: 1.8.0-h5b517e9_3 conda-forge
libuv: 1.24.0-h470a237_0 conda-forge
markupsafe: 1.1.0-py36h470a237_0 conda-forge
metis: 5.1.0-hfc679d8_3 conda-forge
mistune: 0.8.4-py36h470a237_0 conda-forge
mpc: 1.1.0-hb705a9b_6 conda-forge
mpfr: 4.0.1-h16a7912_0 conda-forge
mpi: 1.0-mpich conda-forge
mpi4py: 3.0.0-py36hf0665dc_4 conda-forge
mpich: 3.2.1-h26a2512_7 conda-forge
mpmath: 1.0.0-py_1 conda-forge
mumps-mpi: 5.0.2-blas_openblas_0 conda-forge
nbconvert: 5.3.1-py_1 conda-forge
nbformat: 4.4.0-py_1 conda-forge
ncurses: 6.1-hfc679d8_1 conda-forge
notebook: 5.7.2-py36_1000 conda-forge
numpy: 1.13.3-py36_blas_openblas_201 conda-forge
openblas: 0.2.20-8 conda-forge
openssl: 1.0.2p-h470a237_1 conda-forge
pandoc: 2.5-0 conda-forge
pandocfilters: 1.4.2-py_1 conda-forge
parmetis: 4.0.3-hf73f2d4_2 conda-forge
parso: 0.3.1-py_0 conda-forge
pcre: 8.41-hfc679d8_3 conda-forge
petsc: 3.8.4-blas_openblas_0 conda-forge
petsc4py: 3.8.1-py36_1 conda-forge
pexpect: 4.6.0-py36_1000 conda-forge
pickleshare: 0.7.5-py36_1000 conda-forge
pip: 18.1-py36_1000 conda-forge
pkg-config: 0.29.2-hf837533_3 conda-forge
ply: 3.11-py_1 conda-forge
prometheus_client: 0.4.2-py_0 conda-forge
prompt_toolkit: 2.0.7-py_0 conda-forge
ptscotch: 6.0.4-5 conda-forge
ptyprocess: 0.6.0-py36_1000 conda-forge
pygments: 2.3.0-py_0 conda-forge
pyqt: 5.6.0-py36h8210e8a_7 conda-forge
pyrsistent: 0.14.7-py36h470a237_0 conda-forge
python: 3.6.7-h5001a0f_1 conda-forge
python-dateutil: 2.7.5-py_0 conda-forge
pyzmq: 17.1.2-py36hae99301_1 conda-forge
qt: 5.6.2-h4e759b2_10 conda-forge
qtconsole: 4.4.3-py_0 conda-forge
readline: 7.0-haf1bffa_1 conda-forge
rhash: 1.3.6-h470a237_1 conda-forge
scalapack: 2.0.2-h186ce0b_3 conda-forge
scipy: 1.1.0-py36_blas_openblash7943236_201 conda-forge
scotch: 6.0.4-4 conda-forge
send2trash: 1.5.0-py_0 conda-forge
setuptools: 40.6.2-py36_0 conda-forge
sip: 4.18.1-py36hfc679d8_0 conda-forge
six: 1.11.0-py36_1001 conda-forge
slepc: 3.8.3-blas_openblas_0 conda-forge
slepc4py: 3.8.0-py36_0 conda-forge
sqlite: 3.26.0-hb1c47c0_0 conda-forge
suitesparse: 4.5.4-blas_openblas_201 conda-forge
swig: 3.0.12-hfc679d8_3 conda-forge
sympy: 1.1.1-py36_0 conda-forge
tbb: 2019.2-h2d50403_0 conda-forge
terminado: 0.8.1-py36_1001 conda-forge
testpath: 0.4.2-py36_1000 conda-forge
tk: 8.6.9-ha92aebf_0 conda-forge
tornado: 5.1.1-py36h470a237_0 conda-forge
traitlets: 4.3.2-py36_1000 conda-forge
wcwidth: 0.1.7-py_1 conda-forge
webencodings: 0.5.1-py_1 conda-forge
wheel: 0.32.3-py36_0 conda-forge
widgetsnbextension: 3.4.2-py36_1000 conda-forge
xz: 5.2.4-h470a237_1 conda-forge
zeromq: 4.2.5-hfc679d8_6 conda-forge
zlib: 1.2.11-h470a237_3 conda-forge
Proceed ([y]/n)? y
Preparing transaction: done
Verifying transaction: done
Executing transaction: | Enabling notebook extension jupyter-js-widgets/extension...
- Validating: OK
done
#
# To activate this environment, use
#
# $ conda activate fenicsproject
#
# To deactivate an active environment, use
#
# $ conda deactivate
(None) ~/dev/hippylib[remotes/origin/Packaging-dev-WIP ✗] $ conda activate fenicsproject
(fenicsproject) ~/dev/hippylib[remotes/origin/Packaging-dev-WIP ✗] $ pip install --index-url https://test.pypi.org/simple/ hippylib
Looking in indexes: https://test.pypi.org/simple/
Collecting hippylib
Downloading https://test-files.pythonhosted.org/packages/9f/43/5e3db3d97c810c5d451ddba2c728162c72fadf712c28b961967f58466198/hippylib-2.2.0.dev0-py2.py3-none-any.whl (85kB)
100% |████████████████████████████████| 92kB 3.6MB/s
Requirement already satisfied: numpy in /Users/mbussonnier/miniconda3/envs/fenicsproject/lib/python3.6/site-packages (from hippylib) (1.13.3)
Requirement already satisfied: mpi4py in /Users/mbussonnier/miniconda3/envs/fenicsproject/lib/python3.6/site-packages (from hippylib) (3.0.0)
Collecting matplotlib (from hippylib)
Downloading https://test-files.pythonhosted.org/packages/25/0e/a5f748160edcbc0f0bd3593e9802469397934da0b99aa2c7a8c3ae915d77/matplotlib-2.2.3-cp36-cp36m-macosx_10_6_intel.macosx_10_9_intel.macosx_10_9_x86_64.macosx_10_10_intel.macosx_10_10_x86_64.whl (13.8MB)
100% |████████████████████████████████| 13.8MB 3.5MB/s
Requirement already satisfied: scipy in /Users/mbussonnier/miniconda3/envs/fenicsproject/lib/python3.6/site-packages (from hippylib) (1.1.0)
Collecting pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.1 (from matplotlib->hippylib)
Downloading https://test-files.pythonhosted.org/packages/6a/8a/718fd7d3458f9fab8e67186b00abdd345b639976bc7fb3ae722e1b026a50/pyparsing-2.2.0-py2.py3-none-any.whl (56kB)
100% |████████████████████████████████| 61kB 15.1MB/s
Collecting cycler>=0.10 (from matplotlib->hippylib)
Downloading https://test-files.pythonhosted.org/packages/f7/d2/e07d3ebb2bd7af696440ce7e754c59dd546ffe1bbe732c8ab68b9c834e61/cycler-0.10.0-py2.py3-none-any.whl
Collecting kiwisolver>=1.0.1 (from matplotlib->hippylib)
Downloading https://test-files.pythonhosted.org/packages/e1/d1/d4825d4afc67cbe7d1af6fccb1ef996d4546b6809a745354c9932c9f47ef/kiwisolver-1.0.1.tar.gz
Collecting pytz (from matplotlib->hippylib)
Downloading https://test-files.pythonhosted.org/packages/30/4e/27c34b62430286c6d59177a0842ed90dc789ce5d1ed740887653b898779a/pytz-2018.5-py2.py3-none-any.whl (510kB)
100% |████████████████████████████████| 512kB 20.0MB/s
Requirement already satisfied: python-dateutil>=2.1 in /Users/mbussonnier/miniconda3/envs/fenicsproject/lib/python3.6/site-packages (from matplotlib->hippylib) (2.7.5)
Requirement already satisfied: six>=1.10 in /Users/mbussonnier/miniconda3/envs/fenicsproject/lib/python3.6/site-packages (from matplotlib->hippylib) (1.11.0)
Requirement already satisfied: setuptools in /Users/mbussonnier/miniconda3/envs/fenicsproject/lib/python3.6/site-packages (from kiwisolver>=1.0.1->matplotlib->hippylib) (40.6.2)
Building wheels for collected packages: kiwisolver
Running setup.py bdist_wheel for kiwisolver ... done
Stored in directory: /Users/mbussonnier/Library/Caches/pip/wheels/e1/61/ee/a2a527c2d3922f1ebe151eee22119dd43f107a8834eeb140e4
Successfully built kiwisolver
Installing collected packages: pyparsing, cycler, kiwisolver, pytz, matplotlib, hippylib
Successfully installed cycler-0.10.0 hippylib-2.2.0.dev0 kiwisolver-1.0.1 matplotlib-2.2.3 pyparsing-2.2.0 pytz-2018.5
(fenicsproject) ~/dev/hippylib[remotes/origin/Packaging-dev-WIP ✗] $
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment